Subject: bug#23595: 25.1.50; file with chinese/japanse chars, vc-diff fails (HG, Git, RCS)

From: Uwe Brauer <[email-masked]>
Date: Thu, 26 May 2016 10:44:09 +0000

> On 05/25/2016 07:22 PM, Eli Zaretskii wrote:

   > OK, that makes sense.

   > Taking a step back, I'm not sure it's really necessary to fix this.
   > Because Uwe, the only person to complain about diffing UTF-16 files so
   > far, can solve it much easier by switching the file to UTF-8.

Correct and I already did. :-D so for me the situation is fine.

I would however suggest to add some short information, maybe in the
docstring of vc-diff, to mention the problem with UTF-16.